from aiogram import types
from aiogram.types import InlineKeyboardButton, InlineKeyboardMarkup


def verify_button(user: types.User, bot_username: str) -> InlineKeyboardMarkup:
    return InlineKeyboardMarkup(
        inline_keyboard=[
            [
                InlineKeyboardButton(
                    "Подтвердить",
                    url="https://t.me/{bot}?start={user_id}".format(
                        bot=bot_username,
                        user_id=user.id
                    )
                )
            ]
        ]
    )
